Subject: Re: bug#70622: [PATCH] New window parameter 'cursor-type'

From: martin rudalics <[email-masked]>
Date: Tue, 30 Apr 2024 11:03:44 +0200

> So that cursor-type is no longer a window-parameter?

Yes.  IIUC it would mean that we have to initialize the cursor_type slot
of a new window to t.  With the window parameter solution one would have
to add a new 'cursor-type' parameter with a value of t whenever making a
new window.  This would break with the convention that non-nil window
parameters are used for handling "special" behaviors only.

martin